play.templates

## Class Template

- java.lang.Object
- - play.templates.Template

Direct Known Subclasses:
  BaseTemplate

    public abstract class Template
    extends java.lang.Object

### Field Summary

Fields
`java.lang.String` `name`
`java.lang.String` `source`

### Constructor Summary

Constructors
Constructor and Description
`Template()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `compile()`
`java.lang.String` `getName()`
`protected abstract java.lang.String` `internalRender(java.util.Map<java.lang.String,java.lang.Object> args)` The internal rendering method - When one template calls another template, this method is used.
`java.lang.String` `render()`
`java.lang.String` `render(java.util.Map<java.lang.String,java.lang.Object> args)` Starts the rendering process without modifying the args-map

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public java.lang.String name

#### source

    public java.lang.String source

### Constructor Detail

#### Template

    public Template()

### Method Detail

#### compile

    public abstract void compile()

#### render

    public java.lang.String render(java.util.Map<java.lang.String,java.lang.Object> args)

Starts the rendering process without modifying the args-map

Parameters:
  `args` - map containing data binding info
Returns:
  the result of the complete rendering

#### internalRender

    protected abstract java.lang.String internalRender(java.util.Map<java.lang.String,java.lang.Object> args)

The internal rendering method - When one template calls another template, this method is used. The input args-map is constantly being modified, as different templates "communicate" with each other by storing info in the map

Parameters:
  `args` - List of arguments use in render
Returns:
  The template result as string

#### render

    public java.lang.String render()

#### getName

    public java.lang.String getName()